use std::io;

fn main() {
    let mut input = String::new();
    let celsius: bool = {
        loop {
            println!("Please enter the unit you wish to convert from:");
            println!("0: Celsius");
            println!("1: Fahrenheit");
            io::stdin().read_line(&mut input).expect("An error occurred!");

            break match input.trim().parse::<i32>() {
                Err(_) => {
                    println!("The specified input `{}` is invalid.", input.trim());
                    continue;
                },
                Ok(value) => {
                    value == 0
                }
            }
        }
    };

    let mut input = String::new();
    println!("Please enter the value to convert:");
    io::stdin().read_line(&mut input).expect("An error occurred!");
    let value: f64 = input.trim().parse().unwrap();

    println!("result: {}", if celsius { value * 9.0 / 5.0 + 32.0 } else { (value - 32.0) * 5.0 / 9.0 })
}
